Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005031OCamlOCaml generalpublic2010-04-22 00:002010-04-30 16:45
Reporterpascal_cuoq 
Assigned Todoligez 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.0+dev 
Summary0005031: in 3.12.0+dev18 (2010-04-20), cannot link with module Unix
DescriptionOn Mac OS X 10.6.3 with XCode 3.2.1, OCaml 3.12.0+dev18 from the public SVN was configured with:

./configure -cc "gcc -m32" -as "as -arch i386" -aspp "gcc -m32 -c" -prefix /usr/local/Frama-C_B/ocaml-3.12.0+dev18-32

With the two attached files, compiling with the command:

ocamlc.opt -I ptests -dtypes -vmthread -g -o ptests.byte unix.cma threads.cma str.cma dynlink.cma ptests_config.ml ptests.ml

produces the error:

File "ptests.ml", line 1, characters 0-1:
Error: Error on dynamically loaded library: /usr/local/Frama-C_B/ocaml-3.12.0+dev18-32/lib/ocaml/stublibs/dllunix.so: dlopen(/usr/local/Frama-C_B/ocaml-3.12.0+dev18-32/lib/ocaml/stublibs/dllunix.so, 138): Symbol not found: _caml_debugger_fork_mode
  Referenced from: /usr/local/Frama-C_B/ocaml-3.12.0+dev18-32/lib/ocaml/stublibs/dllunix.so
  Expected in: flat namespace
 in /usr/local/Frama-C_B/ocaml-3.12.0+dev18-32/lib/ocaml/stublibs/dllunix.so
TagsNo tags attached.
Attached Filestgz file icon bugptests.tgz [^] (9,870 bytes) 2010-04-22 00:00

- Relationships

-  Notes
(0005431)
doligez (administrator)
2010-04-30 16:45

fixed in 3.12.0+dev19

- Issue History
Date Modified Username Field Change
2010-04-22 00:00 pascal_cuoq New Issue
2010-04-22 00:00 pascal_cuoq File Added: bugptests.tgz
2010-04-22 09:15 xleroy Status new => assigned
2010-04-22 09:15 xleroy Assigned To => doligez
2010-04-30 16:45 doligez Note Added: 0005431
2010-04-30 16:45 doligez Status assigned => closed
2010-04-30 16:45 doligez Resolution open => fixed
2010-04-30 16:45 doligez Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker